<?php
// $Id: ec_product_views_handler_field_price.inc,v 1.3 2010/12/18 23:39:41 gordon Exp $

/**
 * @file
 * Handles the display of product price.
 */

class ec_product_views_handler_field_price extends views_handler_field {
  function construct() {
    parent::construct();
    $this->additional_fields['nid'] = array(
      'table' => 'ec_product',
      'field' => 'nid',
    );
  }

  function render($value) {
    $node = node_load($value->{$this->aliases['nid']});
    if (isset($node->ptype) && $node->ptype) {
      $price = ec_product_get_final_price($node, 'product');
      return format_currency($price);
    }
    else {
      return;
    }
  }
}
