<?php
// $Id: ec_receipt.rules.inc,v 1.5 2010/12/18 23:48:07 gordon Exp $

/**
 * @file
 * Implement rules and actions for ec_receipt.
 */

/**
 * Implements hook_rules_event_info().
 */
function ec_receipt_rules_event_info() {
  return array(
    'ec_receipt_saved' => array(
      'label' => t('Receipt has been saved.'),
      'module' => 'eC Receipts',
      'arguments' => array(
        'receipt' => array(
          'type' => 'receipt',
          'label' => t('Receipt'),
        ),
        'orig_receipt' => array(
          'type' => 'receipt',
          'label' => t('Original Receipt'),
        ),
      ),
    ),
  );
}

/**
 * Implements hook_rules_condition_info().
 */
function ec_receipt_rules_condition_info() {
  return array(
    'ec_receipt_condition_receipt_status' => array(
      'label' => t('Receipt status'),
      'arguments' => array(
        'receipt' => array(
          'type' => 'receipt',
          'label' => t('Receipt'),
        ),
      ),
      'module' => 'eC Receipts',
    ),
  );
}

/**
 * @todo Please document this function.
 * @see http://drupal.org/node/1354
 */
function ec_receipt_condition_receipt_status() { }
